%define expat_version           1.95.5
%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version	0.70
%define dbus_python_version	0.70
%define pygtk2			2.0.0
%define gnome_python2		2.0.0
%define udev_version            089-1
%define util_linux_version      2.12a-16
%define initscripts_version     8.04-1
%define kernel_version          2.6.17
%define gettext_version	        0.14.1-14
%define libusb_version          0.1.10a-1
%define pciutils_version        2.2.1
%define dmidecode_version       2.7
%define cryptsetup_luks_version 1.0.1-2
%define pm_utils_version        0.10-1
%define gtk_doc_version         1.4
%define consolekit_version      0.1.0
%define acl_version             2.2.39

%define hal_user_uid            68

%define hal_info_version        20070304

Summary: Hardware Abstraction Layer
Name: hal
Version: 0.5.9
Release: 0.git20070304%{?dist}
URL: http://www.freedesktop.org/Software/hal
Source0: http://people.freedesktop.org/~david/dist/%{name}-%{version}.git20070304.tar.gz
Source1: 99-redhat-storage-policy-fixed-drives.fdi
Source2: hal-device-manager.desktop
Source3: http://people.freedesktop.org/~david/dist/hal-info-%{hal_info_version}.tar.gz

License: AFL/GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(post): /sbin/ldconfig
Requires(pre): /usr/sbin/useradd
Requires(postun): gawk, grep, coreutils, /sbin/ldconfig
BuildRequires: expat-devel >= %{expat_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: python-devel
BuildRequires: hwdata
BuildRequires: gettext >= %{gettext_version}
BuildRequires: dbus-glib >= %{dbus_glib_version}
BuildRequires: perl(XML::Parser)
BuildRequires: desktop-file-utils >= 0.9
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: libvolume_id-devel >= %{udev_version} 
BuildRequires: pciutils-devel >= %{pciutils_version}

%ifnarch s390 s390x
BuildRequires: libusb-devel >= %{libusb_version}
%endif
Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: udev >= %{udev_version} 
Requires: libvolume_id >= %{udev_version} 
Requires: util-linux >= %{util_linux_version} 
Requires: initscripts >= %{initscripts_version}
Requires: cryptsetup-luks >= %{cryptsetup_luks_version}
%ifnarch s390 s390x
Requires: pm-utils >= %{pm_utils_version}
%endif 
Conflicts: kernel < %{kernel_version}
%ifnarch s390 s390x
Requires: libusb >= %{libusb_version}
%endif
%ifarch %{ix86} x86_64
Requires: dmidecode >= %{dmidecode_version}
%endif
Requires: ConsoleKit >= %{consolekit_version}
Requires: acl >= %{acl_version}

%description
HAL is daemon for collection and maintaining information from several
sources about the hardware on the system.

%package gnome
Summary: GNOME based device manager for HAL
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-python >= %{dbus_python_version}
Requires: pygtk2 >= %{pygtk2} 
Requires: gnome-python2 >= %{gnome_python2} 

%description gnome
GNOME program for displaying the devices detected by HAL


%package devel
Summary: Libraries and headers for HAL
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: dbus-devel >= %{dbus_version}
Requires: pkgconfig

%description devel
Headers, libraries and API docs for HAL.

%prep
%setup -q -a 3

%build
%configure --disable-docbook-docs --with-os-type=redhat --enable-console-kit --enable-acl-management --enable-umount-helper

cd hal-info-%{hal_info_version}
%configure

%install
make install DESTDIR=$RPM_BUILD_ROOT

cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/

desktop-file-install --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%find_lang hal

cd hal-info-%{hal_info_version}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add the "haldaemon" user
/usr/sbin/useradd -c 'HAL daemon' -u %{hal_user_uid} \
	-s /sbin/nologin -r -d '/' haldaemon 2> /dev/null || :

%post
/sbin/ldconfig
/sbin/chkconfig --add haldaemon

%preun
if [ $1 = 0 ]; then
    service haldaemon stop > /dev/null 2>&1
    /sbin/chkconfig --del haldaemon
fi

%postun
/sbin/ldconfig
#if [ "$1" -ge "1" ]; then
#  service haldaemon condrestart > /dev/null 2>&1
#fi

%triggerpostun -- hal < 0.5.7-3
#remove lingering fstab-sync entries from /etc/fstab
/bin/cp -f /etc/fstab /etc/fstab.hal-save
(IFS="
"; while read line; do echo $line | awk '{print $4}' | grep -q managed || echo $line | grep -q "^#.*fstab-sync" || echo $line; done < /etc/fstab > fstab.replace)

if [ -s fstab.replace ]; then
  /bin/cp -f fstab.replace /etc/fstab
fi

%files -f hal.lang
%defattr(-,root,root,-)
%doc COPYING NEWS

%dir %{_sysconfdir}/dbus-1/system.d
%config %{_sysconfdir}/dbus-1/system.d/hal.conf

%config %{_sysconfdir}/rc.d/init.d/haldaemon

%dir %{_sysconfdir}/hal
%{_sysconfdir}/hal/*

/sbin/umount.hal
%{_sbindir}/hald
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*hal*.so.*

%dir %{_datadir}/hal
%{_datadir}/hal/fdi/*

%dir %{_libdir}/hal/scripts
%{_libdir}/hal/scripts/*

%{_sysconfdir}/udev/rules.d/90-hal.rules

%attr(0700,haldaemon,haldaemon) %dir %{_localstatedir}/cache/hald
%attr(0700,haldaemon,haldaemon) %dir %{_localstatedir}/lib/hal

%files devel
%defattr(-,root,root,-)

%dir %{_datadir}/gtk-doc/html/hal
%{_datadir}/gtk-doc/html/hal/*

%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files gnome
%defattr(-,root,root,-)

%dir %{_datadir}/hal/device-manager
%{_datadir}/hal/device-manager/*
%{_bindir}/hal-device-manager
%{_datadir}/applications/*.desktop

%changelog
* Sun Mar  4 2007 David Zeuthen <davidz@redhat.com> - 0.5.9-0.git20070304
- Update to 0.5.9rc1; notable user visible changes:
- New /sbin/umount.hal helper (#188193)
- Slow down polling if no session is non-idle (#204969)
- Refuse to eject busy devices (#207177)
- Don't mount noexec unless requested
- Use inotify to watch for new fdi files
- Support for new Firewire stack
- BT killswitch for Sony laptops (hadess)
- Pass suspend quirks to pm-utils (need new pm-utils release to use it)

* Sun Feb 18 2007 David Zeuthen <davidz@redhat.com> - 0.5.9-0.git20070218%{?dist}
- Update to git snapshot (will require SELinux policy changes)
- HAL will now add/remove ACL's for local sessions (needed for f-u-s)
- Add require on acl package for setfacl(1)
- Clean up spec file + incorporate comments from merge review (#225880)

* Tue Feb  6 2007 David Zeuthen <davidz@redhat.com> - 0.5.9-0.git20070206.1%{?dist}
- Make sure /var/cache/hald exists and has right mode / permissions (notting)

* Tue Feb  6 2007 David Zeuthen <davidz@redhat.com> - 0.5.9-0.git20070206%{?dist}
- Update to git snapshot
- Drop upstreamed patches
- Include hal-info snapshot in this SRPM for now (will be moved to it's 
  own SRPM eventually)
- Require ConsoleKit as this release denies some service to callers
  not originating from an active desktop session (f-u-s requirement)

* Sat Feb  3 2007 Matthias Clasen <mclasen@redhat.com> - 0.5.8.1-8
- Incorporate more feedback from package review

* Sat Feb  3 2007 Matthias Clasen <mclasen@redhat.com> - 0.5.8.1-7
- Use %%find_lang (#161548)
- Correct BuildRoot

* Tue Nov 14 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-6%{?dist}
- Rebuild

* Tue Nov 14 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-5%{?dist}
- Alignment fixes on ia64; Add patch fixing to work with D-Bus 1.0

* Wed Oct 04 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-4%{?dist}
- Make a patch actually apply

* Wed Oct 04 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-3%{?dist}
- Fix whether some PPC boxes can suspend, fixes #208388
- Use /usr/sbin/eject rather than /usr/bin/eject, fixes #208979
- Fix a crasher in partition table probing code, should fix #206669

* Tue Sep 26 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-2%{?dist}
- BuildRequire pciutils-devel

* Tue Sep 26 2006 David Zeuthen <davidz@redhat.com> - 0.5.8.1-1%{?dist}
- upgrade to upstream release 0.5.8.1
- helpers have moved to %libdir/hal/scripts
- require gtk-doc instead of Doxygen
- drop upstreamed patches
- patch for correctly detecting FUSE mounts (e.g. ntfs-fuse)
- patch for not crashing on optical drives w/o write capabilities
- include devhelp gtk-doc's for libhal, libhal-storage in -devel package
- Require kernel >= 2.6.17, udev >= 089, libvolume_id >= 089
- Build require libvolume_id-devel >= 089
- Should fix #202316, #206669, #207715, #198573, #206732, #208027

* Wed Aug 30 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7.1-3%{?dist}
- Add a .desktop file for hal-device-manager

* Wed Jul 26 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7.1-2%{?dist}
- Bump and rebuild

* Wed Jul 26 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7.1-1
- Point release from upstream that fixes HAL with new kernels
- Up minimum kernel version to 2.6.15

* Mon Jul 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-14
- Add patch to handle longer sysfs names
- add dist tag to release

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-13
- BR dbus-glib-devel
- Fix a deprecated function

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.5.7-12.1
- rebuild

* Sat Jun 10 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7-12
- Add missing BuildRequires

* Wed May 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-11
- Updated autofs fix

* Fri May 19 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-10
- Make PCMCIA card readers work again (#185557)

* Wed May 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-9
- Add patch that makes hald not stat nfs and autofs mounts

* Mon May 15 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-8
- Patch from Brian Pepple <bdpepple@ameritech.net> Add BR for dbus-glib

* Mon May 08 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-7
- Removed typo from spec

* Fri May 05 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-6
- Add fix so gnome-power-manager handles lid opens correctly now

* Mon Apr 24 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-5
- ifnarch the pm-utils requires for s390 and s390x

* Wed Apr 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7-4
- Add Requires on pm-utils >= 0.10-1 (#185134, Andrew Overholt)

* Fri Mar 03 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-3
- Fix fstab clearing script to not strip whitespace

* Thu Mar 02 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.7-2
- clear out fstab of all fstab-sync entries if previous hal < 0.5.7-2

* Fri Feb 24 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-1
- New upstream version 0.5.7 with several bug fixes
- Don't restart hald on package upgrade
- Pull in dmidecode on x86-ish and x86_64 architectures
- Don't let HAL's Mount() method circumvent system policy (#182352)
- Patch to use new pm-utils's new pm-powersave util properly

* Thu Feb 16 2006 Matthias Clasen <mclasen@redhat.com> - 0.5.7-0.cvs20060213.2
- fix directory ownership
- don't ship static libraries

* Mon Feb 13 2006 Jesse Keating <jkeating@redhat.com> - 0.5.7-0.cvs20060213.1.1
- rebump for build order issues during double-long bump

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-0.cvs20060213.1
- fix build

* Mon Feb 13 2006 David Zeuthen <davidz@redhat.com> - 0.5.7-0.cvs20060213
- Upstream CVS snapshot. Drop a patch that is upstream. Switch to using
  udev rules instead of hotplug helpers for udev->hald channel.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.5.6-3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.6-3
- Patch storage-method policy so that the eject method is available
  to audio cd's

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.6-2
- Add policy file to ignore fixed disks.  This is a temporary solution
  until upstream comes up with a more flexable option

* Tue Jan 17 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.6
- New upstream release
- Remove match on capabilities patch (upstream already)

* Wed Jan 11 2006 Christopher Aillon <caillon@redhat.com> - 0.5.5.1.cvs20060111-1
- Update to an even newer CVS snapshot, to fix privelege escalation issue
- Remove mount options patch (upstreamed already)

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060109-2
- Add patch to escape mount options

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060109-1
- Update to a new CVS snapshot

* Thu Jan 05 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060105-2
- readd the hotplug script

* Thu Jan 05 2006 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1.cvs20060105-1
- Build CVS version of HAL which gives us the new mount support
- disable fstab-sync
- scripts have been moved from /usr/sbin to /usr/share/hal/scripts

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 0.5.5.1-2.1
- rebuilt

* Wed Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1-2
- Rebuild for dbus 0.60

* Wed Nov 16 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.5.1-1
- Update to latest upstream version

* Fri Nov 11 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4.cvs2005111-1
- Update to CVS HEAD

* Tue Nov 08 2005 John (J5) Palmieri <johnp@redhat.com> - 0.5.4-4
- Add patch to fix storage policy fdi to match on the storage
  capability and not category.
  
* Mon Oct  3 2005 Matthias Clasen <mclasen@redhat.com>
- Fix a typo in description

* Tue Aug 30 2005 David Zeuthen <davidz@redhat.com> - 0.5.4-3
- Rebuild

* Tue Aug 30 2005 David Zeuthen <davidz@redhat.com> - 0.5.4-2
- Pull in cryptsetup-luks and fix some unpackaged files

* Tue Aug 30 2005 David Zeuthen <davidz@redhat.com> - 0.5.4-1
- Update to upstream release 0.5.4 and drop patches already upstream

* Thu Aug 11 2005 David Zeuthen <davidz@redhat.com> - 0.5.3-4
- Add patch to make libhal-storage report the right fs usage (#165707)

* Tue Aug  9 2005 Jeremy Katz <katzj@redhat.com> - 0.5.3-3
- make kernel version requirement a conflicts instead

* Tue Jul 12 2005 David Zeuthen <davidz@redhat.com> 0.5.3-2
- Fix a minor packaging bug

* Tue Jul 12 2005 David Zeuthen <davidz@redhat.com> 0.5.3-1
- Update to upstream release 0.5.3
- Drop patches as they are upstream

* Mon May 23 2005 David Zeuthen <davidz@redhat.com> 0.5.2-2
- Fix doublefree when locking (#158474)
- Never use the 'sync' mount option (#157674)
- Update the fstab-sync man page (#158483)

* Thu May 12 2005 David Zeuthen <davidz@redhat.com> 0.5.2-1
- Update to upstream release 0.5.2

* Wed Apr 27 2005 David Zeuthen <davidz@redhat.com> 0.5.1-1
- Update to upstream release 0.5.1

* Tue Apr 19 2005 Florian La Roche <laroche@redhat.com>
- exclude usb reqs for mainframe (#154616)

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404b-2
- Rebuild

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404b-1
- Use new upstream tarball rather than patching configure

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404-3
- Add libusb checks to configure.in

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404-2
- Add BuildRequires and Requires for libusb

* Mon Apr  4 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050404-1
- New snapshot from upstream CVS

* Tue Mar 22 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050322b-1
- Another new snapshot from upstream CVS

* Tue Mar 22 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050322-1
- New snapshot from upstream CVS

* Fri Mar 18 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050318-1
- Snapshot from upstream CVS; should fix selinux labeling problems
  for /etc/fstab entries

* Thu Mar 10 2005 David Zeuthen <davidz@redhat.com> 0.5.0.cvs20050310-1
- Snapshot from CVS; should fix ACPI issues reported on f-d-l

* Tue Mar  8 2005 David Zeuthen <davidz@redhat.com> 0.5.0-3
- Rebuild

* Mon Mar  7 2005 David Zeuthen <davidz@redhat.com> 0.5.0-2
- Update to upstream release 0.5.0

* Thu Jan 27 2005 David Zeuthen <davidz@redhat.com> 0.4.7-2
- Add patch that should close #146316

* Mon Jan 24 2005 David Zeuthen <davidz@redhat.com> 0.4.7-1
- New upstream release.
- Should close #145921, #145750, #145293, #145256

* Mon Jan 24 2005 John (J5) Palmieri <johnp@redhat.com> 0.4.6-3
- Update required dbus version to 0.23 

* Thu Jan 20 2005 David Zeuthen <davidz@redhat.com> 0.4.6-2
- Fix parameters to configure

* Thu Jan 20 2005 David Zeuthen <davidz@redhat.com> 0.4.6-1
- New upstream release
- Should close #145099, #144600, #140150, #145223, #137672

* Wed Jan 12 2005 David Zeuthen <davidz@redhat.com> 0.4.5-1
- New upstream release.
- Should close #142834, #141771, #142183

* Fri Dec 12 2004 David Zeuthen <davidz@redhat.com> 0.4.2.cvs20041210-1
- Snapshot from stable branch of upstream CVS

* Tue Oct 26 2004 David Zeuthen <davidz@redhat.com> 0.4.0-8
- Forgot to add some diffs in hal-0.4.0-pcmcia-net-support.patch

* Tue Oct 26 2004 David Zeuthen <davidz@redhat.com> 0.4.0-7
- Change default policy such that non-hotpluggable fixed disks are not
  added to the /etc/fstab file because a) ATARAID detection in hal is
  incomplete (e.g. RAID members from ATARAID controllers might be added
  to /etc/fstab); and b) default install wont corrupt multiboot 
  systems on fixed drives (#137072)

* Tue Oct 26 2004 David Zeuthen <davidz@redhat.com> 0.4.0-6
- Fix hotplug timeout handling (#136626)
- Detect ATARAID devices and do not add /etc/fstab entry for them
- Probe for ext3 before ntfs (#136966)
- Use fstype 'auto' for optical drives instead of 'iso9660,udf'
- Properly detect wireless ethernet devices  (#136591)
- Support 16-bit PCMCIA networking devices (by Dan Williams) (#136658)

* Tue Oct 19 2004 David Zeuthen <davidz@redhat.com> 0.4.0-5
- Make hal work with PCMCIA IDE hotpluggable devices (#133943)
- Fixup URL listed from rpm -qi (#136396)
- Add Portuguese translations for hal
- Fix addition of Russian and Hungarian translations

* Mon Oct 18 2004 David Zeuthen <davidz@redhat.com> 0.4.0-4
- Make hald cope with missing hotplug events from buggy drivers (#135202)
- Fix the order of mount options in fstab-sync (#136191)
- Allow x86 legacy floppy drives in default policy (#133777)
- Fix fstab-sync crashing without any options and not run from hald (#136214)
- man page for fstab-sync references non-existing files (#136026)
- Add Russian translations for hal (#135853)
- Add Hungarian translations for hal

* Fri Oct 15 2004 David Zeuthen <davidz@redhat.com> 0.4.0-3
- Fix bad use of O_NONBLOCK as the 2.6.8-1.624 kernel exposes this (#135886)
- Never use the UUID as mount point candidate in the default policy 
  as it is unfriendly (#135907)
- Fix a trivial bug in fstab-sync so the syslog messages actually expose
  the device name instead of just the word foo

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-2
- Fix issue with fstab-sync not cleaning /etc/fstab on startup

* Thu Oct 14 2004 David Zeuthen <davidz@redhat.com> 0.4.0-1
- Update to upstream stable version 0.4.0
- Remove patch for libhal shutdown since that is now upstream
- fstab-sync: man page, adds comment in /etc/fstab pointing to man page

* Fri Oct 01 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-3
- Fix a bug so libhal actually invoke callback functions when needed

* Fri Oct 01 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.98.cvs20040929-2
- Use "user" mount flag for now until "pamconsole" flag gets into mount

* Wed Sep 29 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040929-1
- Update to upstream CVS version
- Enable libselinux again

* Mon Sep 27 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040927-1
- Update to upstream CVS version

* Fri Sep 24 2004 David Zeuthen <davidz@redhat.com> 0.2.98.cvs20040923-1
- Update to upstream CVS release
- Include libhal-storage library
- Should close bug #132876

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-4
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-3
- Rebuilt

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-2
- Temporarily disable explicit requirement for libselinux

* Mon Sep 20 2004 David Zeuthen <davidz@redhat.com> 0.2.98-1
- Update to upstream release 0.2.98. 
- Use --with-pid-file so we don't depend on /etc/redhat-release

* Wed Sep 01 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040901-1
- Update to upstream CVS HEAD

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-3
- Add UID for haldaemon user

* Tue Aug 31 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040831-2
- Rebuilt with a newer snapshot.

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-3
- Rebuilt

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-2
- Rebuilt
- Closes RH Bug #130971

* Fri Aug 27 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040827-1
- Update to upstream CVS HEAD. 
- Should close RH Bug #130588

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-3
- Rebuilt

* Wed Aug 25 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-2
- Apply a patch so hald doesn't hang on startup.

* Mon Aug 23 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040823-1
- Update to upstream CVS HEAD
- Remove symlinking of fstab-sync from specfile since this is now being
  done in the package

* Mon Aug 23 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- change the %%define names to not use "-"

* Thu Aug 19 2004 David Zeuthen <davidz@redhat.com> 0.2.97.cvs20040819-1
- Update to upstream CVS HEAD
- Remove suid patch as it is fixed upstream
- Fix some dependency issues (RH Bug #130202)

* Wed Aug 18 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.97-2
- Add stopgap patch to remove suid from mount flags (RH Bug #130290)

* Mon Aug 16 2004 David Zeuthen <davidz@redhat.com> 0.2.97-1
- update to upstream release 0.2.97
- use kudzu option in fstab-sync since updfstab is now disabled

* Thu Aug 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.96-2
- fixed Requires lines to use %{} instead of ${}
- made dbus related requires lines use the = condition instead of =<
  because the dbus API is still in flux

* Thu Aug 12 2004 David Zeuthen <davidz@redhat.com> 0.2.96
- Update to upstream release 0.2.96
- Symlink fstab-sync into /etc/hal/device.d on install

* Fri Aug 06 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-2
- Base hal package no longer requires python

* Mon Aug 02 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.95.cvs20040802-1
- Update to CVS head
- Remove Dan's patches as they were commited to CVS

* Fri Jul 30 2004 Dan Williams <dcbw@redhat.com> 0.2.93.cvs.20040712-2
- Fix netlink sockets pointer arithmetic bug

* Mon Jul 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.93.cvs.20040712-1
- Update to new CVS version as of 7-12-2004

* Fri Jun 25 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-2
- take out fstab-update.sh from install
- add to rawhide
 
* Fri Jun 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.92.cvs.20040611-1 
- update to CVS head as of 6-11-2004 which contains dcbw's 
  network link status fix 

* Wed Jun 9 2004 Ray Strode <rstrode@redhat.com> 0.2.91.cvs20040527-2
- added dependency on udev

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.91.cvs20040527-1
- update to CVS head as of 5-27-2004 which contains fixes for PCMCIA
  and wireless network devices.

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-3
- added hal-0.2.90.cvs20040511.callbackscripts.patch which installs 
  the file system mounting script in /etc/hal/device.d

* Wed May 12 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-2
- added the %{_sysconfigdir}/hal directory tree to %files 

* Tue May 11 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90.cvs20040511-1
- update to CVS head as of 5-11-2004

* Wed May 5 2004 Christopher Blizzard <blizzard@redhat.com> 0.2.90-2
- Install hal.dev from /etc/dev.d/default/

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2.90-1
- upstream update

* Mon Apr 19 2004 John (J5) Palmieri <johnp@redhat.com> 0.2-1 
- initial checkin to package repository
- added dependency to the dbus-python package
- added %{_libexecdir}/hal.dev to teh %files section
